//StarCatV, Star Catalog Visualization Tool
// (C) 1999  Jim Campbell   jc@izzy.net
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU  General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//                                                                
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details. 
//                                      
// You should have received a copy of the GNU General Public License 
// along with this software (see COPYING); if not, write to the 
// Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


//	SCmdlg.h:	Header for SCModalDialog class
//=======================================================================

#ifndef SCMDLG_H
#define SCMDLG_H

#include <v/vmodald.h>

    class SCCmdWindow;

    class SCModalDialog : public vModalDialog
      {
      public:		//---------------------------------------- public
	SCModalDialog(vBaseWindow* bw, char* title = "Info");
	virtual ~SCModalDialog();		// Destructor
	virtual void DialogCommand(ItemVal,ItemVal,CmdType); // action selected
	virtual int SCAction(char* msg);
	 void DialogDisplayed();

	 float dd_LocLat;
	 float dd_LocLong;

	
      protected:	//--------------------------------------- protected

      private:		//--------------------------------------- private

	SCCmdWindow* _myCmdWin;
      };
#endif

